// 返回时间格式为2020-01-01 01:01:01
// 注: 该函数必须要引用前置函数 formatNumber
export const nowFormatTime1 = () => {
  let date = new Date();
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return `${[year, month, day].map(formatNumber).join('-')} ${[hour, minute, second].map(formatNumber).join(':')}`
}

// 返回时间格式为2020-01-01 01:01:01
// 注: 该函数必须要引用前置函数 formatNumber
export const nowFormatTime2 = () => {
  let date = new Date();
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()

  return `${[year, month, day].map(formatNumber).join('-')}`
}


// 在小于10的正整数前补0,返回字符串
// 注: 该函数为 <二、时间相关操作> 一些函数的前置函数
export const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}

// 表单校验手机号
export const checkphone = (rule, value, callback) => {
  // let phoneReg = /(^1[3|4|5|6|7|8|9]\d{9}$)|(^09\d{8}$)/;
  if (value == "") {
    callback(new Error("请输入手机号"));
  } else if (!isCellPhone(value)) {//引入methods中封装的检查手机格式的方法
    callback(new Error("请输入正确的手机号!"));
  } else {
    callback();
  }
};

// 手机号检查
export const isCellPhone = function(val) {
  if (!/^1(3|4|5|6|7|8)\d{9}$/.test(val)) {
    return false;
  } else {
    return true;
  }
};




